Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.plugin.filter
Class PlugInFilterRunner

    java.lang.Object
      ij.plugin.filter.PlugInFilterRunner

All Implemented Interfaces:
  DialogListener, java.lang.Runnable

public class PlugInFilterRunner
extends java.lang.Object
implements java.lang.Runnable, DialogListener

Constructor Summary
`PlugInFilterRunner(java.lang.Object theFilter, java.lang.String command, java.lang.String arg)` The constructor runs a PlugInFilter or ExtendedPlugInFilter by calling its setup, run, etc.

Method Summary
`boolean` | `dialogItemChanged(GenericDialog gd, java.awt.AWTEvent e)` The listener to any change in the dialog.
`int` | `getSliceNumber()` Return the slice number currently processed by the calling thread.
`void` | `run()` The dispatcher for the background threads
`void` | `setDialog(GenericDialog gd)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlugInFilterRunner

    public PlugInFilterRunner(java.lang.Object theFilter,
                              java.lang.String command,
                              java.lang.String arg)

  The constructor runs a PlugInFilter or ExtendedPlugInFilter by calling its setup, run, etc. methods. For details, see the documentation of interfaces PlugInFilter and ExtendedPlugInFilter.

Parameters:
  `theFilter` - The PlugInFilter to be run
  `command` - The command that has caused running the PlugInFilter
  `arg` - The argument specified for this PlugInFilter in IJ_Props.txt or in the plugins.config file of a .jar archive conatining a collection of plugins. `arg` may be a string of length zero.

Method Detail

### getSliceNumber

    public int getSliceNumber()

  Return the slice number currently processed by the calling thread.

  Returns:
    The slice number. Returns -1 on error (when not processing).

### run

    public void run()

  The dispatcher for the background threads

  Specified by:
    `run` in interface `java.lang.Runnable`

### setDialog

    public void setDialog(GenericDialog gd)

### dialogItemChanged

    public boolean dialogItemChanged(GenericDialog gd,
                                     java.awt.AWTEvent e)

  The listener to any change in the dialog. It is used for preview. It is invoked every time the user changes something in the dialog (except OK and cancel buttons), provided that all previous listeners (parameter checking) have returned true.

  Specified by:
    `dialogItemChanged` in interface `DialogListener`
  Parameters:
    `e` - The event that has happened in the dialog. This method may be also called with e=null, e.g. to start preview already when the dialog appears.
    `gd` - A reference to the GenericDialog.
  Returns:
    Always true. (The return value determines whether the dialog will enable the OK button)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD